<?php declare(strict_types=1);

namespace USKit\Base\Services;

use USKit\Base\Interfaces\ThemeServiceStartup;
use Infomaker\Everyware\Base\Menus;

/**
 * Class MenuServiceStartup
 * @package USKit\Base\Services
 */
class MenuServiceStartup implements ThemeServiceStartup
{
    /**
     * @var array
     */
    private $registeredMenus;

    public function registerMenu(string $id, array $options): void
    {
        $this->registeredMenus[$id] = $options;
    }

    public function registerMenus(array $Menus): void
    {
        foreach ($Menus as $id => $options) {
            $this->registerMenu($id, $options);
        }
    }

    public function setup(): void
    {
        $this->registerMenus([
            'main' => [
                'id' => 'main-menu',
                'description' => __('Main Menu', 'ewkit')
            ],
        ]);

        Menus::init($this->registeredMenus);
    }
}
